<?xml version="1.0" encoding="utf-8"?>
<data-map project-version="3.0">
	<property name="defaultLockType" value="optimistic"/>
	<property name="defaultPackage" value="siprp.database.cayenne.objects"/>
	<property name="defaultSchema" value="public"/>
	<db-entity name="avisos" schema="public">
		<db-attribute name="data_aviso" type="DATE" isMandatory="true" length="13"/>
		<db-attribute name="data_evento" type="DATE" length="13"/>
		<db-attribute name="descricao" type="VARCHAR" length="255"/>
		<db-attribute name="empresa_id" type="INTEGER" length="10"/>
		<db-attribute name="estabelecimento_id" type="INTEGER" length="10"/>
		<db-attribute name="evento_id" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="tipo" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="trabalhador_id" type="INTEGER" length="10"/>
	</db-entity>
	<db-entity name="contactos" schema="public">
		<db-attribute name="cargo" type="VARCHAR" length="255"/>
		<db-attribute name="email" type="VARCHAR" length="255"/>
		<db-attribute name="fax" type="VARCHAR" length="255"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="nome" type="VARCHAR" length="255"/>
		<db-attribute name="telefone" type="VARCHAR" length="255"/>
		<db-attribute name="telemovel" type="VARCHAR" length="255"/>
	</db-entity>
	<db-entity name="ecd_oficial" schema="public">
		<db-attribute name="activo" type="CHAR" length="1"/>
		<db-attribute name="descricao" type="VARCHAR" length="255"/>
		<db-attribute name="descricao_plain" type="VARCHAR" length="255"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="ordem" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>ecd_oficial_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="empresas" schema="public">
		<db-attribute name="a_consultas" type="CHAR" length="1"/>
		<db-attribute name="a_exames" type="CHAR" length="1"/>
		<db-attribute name="actividade" type="VARCHAR" length="255"/>
		<db-attribute name="actualizacao" type="TIMESTAMP" length="29"/>
		<db-attribute name="b_consultas" type="CHAR" length="1"/>
		<db-attribute name="b_exames" type="CHAR" length="1"/>
		<db-attribute name="cae" type="VARCHAR" length="255"/>
		<db-attribute name="codigo_1" type="VARCHAR" length="255"/>
		<db-attribute name="codigo_2" type="VARCHAR" length="255"/>
		<db-attribute name="codigo_3" type="VARCHAR" length="255"/>
		<db-attribute name="codigo_postal" type="VARCHAR" length="8"/>
		<db-attribute name="concelho" type="VARCHAR" length="255"/>
		<db-attribute name="contacto_1" type="INTEGER" length="10"/>
		<db-attribute name="contacto_2" type="INTEGER" length="10"/>
		<db-attribute name="contribuinte" type="VARCHAR" length="255"/>
		<db-attribute name="data_aceitacao" type="DATE" length="13"/>
		<db-attribute name="data_cancelamento" type="DATE" length="13"/>
		<db-attribute name="data_envio_contrato" type="DATE" length="13"/>
		<db-attribute name="data_envio_idict" type="DATE" length="13"/>
		<db-attribute name="data_proposta" type="DATE" length="13"/>
		<db-attribute name="data_recepcao_contrato" type="DATE" length="13"/>
		<db-attribute name="data_relatorio_anual" type="DATE" length="13"/>
		<db-attribute name="designacao_social" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="designacao_social_plain" type="VARCHAR" length="255"/>
		<db-attribute name="distrito" type="VARCHAR" length="255"/>
		<db-attribute name="duracao" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="inactivo" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="inicio_contrato" type="DATE" length="13"/>
		<db-attribute name="localidade" type="VARCHAR" length="255"/>
		<db-attribute name="morada" type="VARCHAR" length="255"/>
		<db-attribute name="numero_trabalhadores" type="INTEGER" length="10"/>
		<db-attribute name="perfil_1" type="VARCHAR" length="255"/>
		<db-attribute name="perfil_2" type="VARCHAR" length="255"/>
		<db-attribute name="periodicidade" type="VARCHAR" length="255"/>
		<db-attribute name="preco_higiene" type="DOUBLE" length="17" scale="17"/>
		<db-attribute name="preco_medicina" type="DOUBLE" length="17" scale="17"/>
		<db-attribute name="seguranca_social" type="VARCHAR" length="255"/>
		<db-attribute name="servico_higiene_designacao" type="VARCHAR" length="255"/>
		<db-attribute name="servico_higiene_tipo" type="INTEGER" length="10"/>
		<db-attribute name="servico_saude_designacao" type="VARCHAR" length="255"/>
		<db-attribute name="servico_saude_tipo" type="INTEGER" length="10"/>
		<db-attribute name="servicos" type="INTEGER" length="10"/>
	</db-entity>
	<db-entity name="errors" schema="public">
		<db-attribute name="date" type="TIMESTAMP" length="29"/>
		<db-attribute name="description" type="VARCHAR" length="65535"/>
		<db-attribute name="environment" type="VARCHAR" length="255"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="type" type="VARCHAR" length="20"/>
	</db-entity>
	<db-entity name="estabelecimentos" schema="public">
		<db-attribute name="actualizacao" type="TIMESTAMP" length="29"/>
		<db-attribute name="codigo_postal" type="VARCHAR" length="255"/>
		<db-attribute name="contacto" type="VARCHAR" length="255"/>
		<db-attribute name="empresa_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="historico" type="VARCHAR" length="65535"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="inactivo" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="localidade" type="VARCHAR" length="255"/>
		<db-attribute name="medico_id" type="INTEGER" length="10"/>
		<db-attribute name="morada" type="VARCHAR" length="255"/>
		<db-attribute name="nome" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="nome_plain" type="VARCHAR" length="255"/>
	</db-entity>
	<db-entity name="etiquetas" schema="public">
		<db-attribute name="altura" type="REAL" length="8" scale="8"/>
		<db-attribute name="altura_folha" type="REAL" length="8" scale="8"/>
		<db-attribute name="colunas" type="INTEGER" length="10"/>
		<db-attribute name="continua" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="descricao" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="descricao_plain" type="VARCHAR" length="2147483647"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="largura" type="REAL" length="8" scale="8"/>
		<db-attribute name="largura_folha" type="REAL" length="8" scale="8"/>
		<db-attribute name="linhas" type="INTEGER" length="10"/>
		<db-attribute name="margem_cima" type="REAL" length="8" scale="8"/>
		<db-attribute name="margem_esquerda" type="REAL" length="8" scale="8"/>
		<db-attribute name="margem_horizontal_folha" type="REAL" length="8" scale="8"/>
		<db-attribute name="margem_vertical_folha" type="REAL" length="8" scale="8"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>etiquetas_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="exames" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="fo" type="LONGVARBINARY" length="2147483647"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="inactivo" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="medico_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="ocasional" type="INTEGER" length="10"/>
		<db-attribute name="outra_funcao_1" type="VARCHAR" length="255"/>
		<db-attribute name="outra_funcao_2" type="VARCHAR" length="255"/>
		<db-attribute name="outra_funcao_3" type="VARCHAR" length="255"/>
		<db-attribute name="outra_funcao_4" type="VARCHAR" length="255"/>
		<db-attribute name="outras_recomendacoes" type="VARCHAR" length="65535"/>
		<db-attribute name="outro_tipo" type="VARCHAR" length="255"/>
		<db-attribute name="pdf" type="LONGVARBINARY" length="2147483647"/>
		<db-attribute name="proximo_exame" type="DATE" length="13"/>
		<db-attribute name="resultado" type="INTEGER" length="10"/>
		<db-attribute name="tipo" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="trabalhador_id" type="INTEGER" isMandatory="true" length="10"/>
	</db-entity>
	<db-entity name="exames_perfis" schema="public">
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="multiplicador" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="perfil" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="tipo" type="INTEGER" isMandatory="true" length="10"/>
	</db-entity>
	<db-entity name="exames_portaria" schema="public">
		<db-attribute name="data_entrada" type="TIMESTAMP" isMandatory="true" length="29"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="portaria" type="VARCHAR" isMandatory="true" length="255"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>exames_portaria_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="historico_estabelecimento" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="estabelecimento_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="texto" type="VARCHAR" length="65535"/>
	</db-entity>
	<db-entity name="ids" schema="public">
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
	</db-entity>
	<db-entity name="lembretes" schema="public">
		<db-attribute name="data" type="DATE" isMandatory="true" length="13"/>
		<db-attribute name="descricao" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="empresa_id" type="INTEGER" length="10"/>
		<db-attribute name="enviar_email" type="CHAR" length="1"/>
		<db-attribute name="estabelecimento_id" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="marcacao_estabelecimento_id" type="INTEGER" length="10"/>
		<db-attribute name="marcacao_trabalhador_id" type="INTEGER" length="10"/>
		<db-attribute name="periodicidade_dias" type="INTEGER" length="10"/>
		<db-attribute name="periodicidade_meses" type="INTEGER" length="10"/>
		<db-attribute name="texto" type="VARCHAR" length="16384"/>
		<db-attribute name="tipo_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="trabalhador_id" type="INTEGER" length="10"/>
		<db-attribute name="ultimo_envio" type="DATE" length="13"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>lembretes_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="lembretes_tipos" schema="public">
		<db-attribute name="activo" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="codigo" type="VARCHAR" isMandatory="true" length="16"/>
		<db-attribute name="descricao" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="ordem" type="INTEGER" isMandatory="true" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>lembretes_tipos_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="marcacoes_empresa" schema="public">
		<db-attribute name="data" type="DATE" isMandatory="true" length="13"/>
		<db-attribute name="empresa_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="realizada" type="CHAR" length="1"/>
		<db-attribute name="texto" type="VARCHAR" length="65535"/>
	</db-entity>
	<db-entity name="marcacoes_estabelecimento" schema="public">
		<db-attribute name="data" type="DATE" isMandatory="true" length="13"/>
		<db-attribute name="data_email" type="DATE" length="13"/>
		<db-attribute name="data_relatorio" type="DATE" length="13"/>
		<db-attribute name="estabelecimento_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="observacoes" type="VARCHAR" length="2048"/>
		<db-attribute name="realizada" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="tecnico_hst" type="INTEGER" length="10"/>
	</db-entity>
	<db-entity name="marcacoes_grupos_realizados" schema="public">
		<db-attribute name="grupo_protocolo_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="marcacao_trabalhador_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="marcacoes_trabalhador_estado_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>marcacoes_grupos_realizados_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="marcacoes_tecnicos_hst" schema="public">
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="identificador" type="INTEGER" length="10"/>
		<db-attribute name="inactivo" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="iniciais" type="VARCHAR" isMandatory="true" length="10"/>
		<db-attribute name="nome" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="nome_plain" type="VARCHAR" isMandatory="true" length="255"/>
	</db-entity>
	<db-entity name="marcacoes_trabalhador" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="data_email" type="DATE" length="13"/>
		<db-attribute name="data_relatorio" type="DATE" length="13"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="motivo" type="INTEGER" length="10"/>
		<db-attribute name="observacoes" type="VARCHAR" length="2048"/>
		<db-attribute name="prestador_id" type="INTEGER" length="10"/>
		<db-attribute name="realizada" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="tipo" type="INTEGER" length="10"/>
		<db-attribute name="trabalhador_id" type="INTEGER" length="10"/>
	</db-entity>
	<db-entity name="marcacoes_trabalhador_estados" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="marcacao_id" type="INTEGER" length="10"/>
		<db-attribute name="prestador_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>marcacoes_trabalhador_estados_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="medicos" schema="public">
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="inactivo" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="nome" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="numero_cedula" type="VARCHAR" isMandatory="true" length="255"/>
	</db-entity>
	<db-entity name="prestadores" schema="public">
		<db-attribute name="activo" type="CHAR" length="1"/>
		<db-attribute name="codigo_postal" type="VARCHAR" length="16"/>
		<db-attribute name="contacto_id" type="INTEGER" length="10"/>
		<db-attribute name="contribuinte" type="VARCHAR" length="64"/>
		<db-attribute name="faz_consultas" type="CHAR" length="1"/>
		<db-attribute name="faz_ecds" type="CHAR" length="1"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="localidade" type="VARCHAR" length="255"/>
		<db-attribute name="localidade_cp" type="VARCHAR" length="255"/>
		<db-attribute name="morada" type="VARCHAR" length="2048"/>
		<db-attribute name="nome" type="VARCHAR" length="255"/>
		<db-attribute name="nome_plain" type="VARCHAR" length="255"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>prestadores_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="prestadores_grupos_protocolo" schema="public">
		<db-attribute name="grupo_protocolo_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="prestador_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>prestadores_grupos_protocolo_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="prt_elementos_protocolo" schema="public">
		<db-attribute name="empresa_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="numero_perfil" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="tipo_elemento_protocolo_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>prt_elementos_protocolo_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="prt_grupos_protocolo" schema="public">
		<db-attribute name="descricao" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="descricao_plain" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="grupo_real" type="CHAR" length="1"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="ordem" type="INTEGER" length="10"/>
	</db-entity>
	<db-entity name="prt_tipos_elementos_protocolo" schema="public">
		<db-attribute name="descricao" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="descricao_plain" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="grupo_protocolo_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="ordem" type="INTEGER" length="10"/>
	</db-entity>
	<db-entity name="tipos_exames_comp" schema="public">
		<db-attribute name="descricao" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="ordem" type="INTEGER" isMandatory="true" length="10"/>
	</db-entity>
	<db-entity name="trabalhadores" schema="public">
		<db-attribute name="actualizacao" type="TIMESTAMP" length="29"/>
		<db-attribute name="categoria" type="VARCHAR" length="255"/>
		<db-attribute name="data_admissao" type="DATE" length="13"/>
		<db-attribute name="data_admissao_funcao" type="DATE" length="13"/>
		<db-attribute name="data_demissao" type="DATE" length="13"/>
		<db-attribute name="data_nascimento" type="DATE" length="13"/>
		<db-attribute name="estabelecimento_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-attribute name="funcao_proposta" type="VARCHAR" length="255"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="inactivo" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="local_trabalho" type="VARCHAR" length="255"/>
		<db-attribute name="nacionalidade" type="VARCHAR" length="255"/>
		<db-attribute name="nome" type="VARCHAR" isMandatory="true" length="255"/>
		<db-attribute name="nome_plain" type="VARCHAR" length="255"/>
		<db-attribute name="numero_mecanografico" type="VARCHAR" length="255"/>
		<db-attribute name="observacoes" type="VARCHAR" length="65535"/>
		<db-attribute name="observacoes_gestao" type="VARCHAR" length="65535"/>
		<db-attribute name="perfil" type="INTEGER" length="10"/>
		<db-attribute name="sexo" type="CHAR" length="1"/>
	</db-entity>
	<db-entity name="trabalhadores_consultas" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="prestador_id" type="INTEGER" length="10"/>
		<db-attribute name="processo_id" type="INTEGER" length="10"/>
		<db-attribute name="trabalhador_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_consultas_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_consultas_datas" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="prestador_id" type="INTEGER" length="10"/>
		<db-attribute name="trabalhadores_consultas_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_consultas_datas_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_consultas_datas_emails" schema="public">
		<db-attribute name="body" type="VARCHAR" length="32768"/>
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="destination" type="VARCHAR" length="512"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="subject" type="VARCHAR" length="512"/>
		<db-attribute name="trabalhadores_consultas_datas_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_consultas_datas_emails_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_consultas_datas_observacoes" schema="public">
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="observacao" type="VARCHAR" length="4096"/>
		<db-attribute name="trabalhadores_consultas_datas_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_consultas_datas_observacoes_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_ecd" schema="public">
		<db-attribute name="ecd_id" type="INTEGER" length="10"/>
		<db-attribute name="ecd_oficial_id" type="INTEGER" length="10"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="prestador_id" type="INTEGER" length="10"/>
		<db-attribute name="trabalhadores_ecds_datas_id" type="INTEGER" length="10"/>
		<db-attribute name="trabalhadores_ecds_id" type="INTEGER" length="10"/>
	</db-entity>
	<db-entity name="trabalhadores_ecds" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="processo_id" type="INTEGER" length="10"/>
		<db-attribute name="trabalhador_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_ecds_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_ecds_datas" schema="public">
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="estado" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="prestador_id" type="INTEGER" length="10"/>
		<db-attribute name="trabalhadores_ecds_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_ecds_datas_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_ecds_datas_emails" schema="public">
		<db-attribute name="body" type="VARCHAR" length="32768"/>
		<db-attribute name="data" type="DATE" length="13"/>
		<db-attribute name="destination" type="VARCHAR" length="512"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="subject" type="VARCHAR" length="512"/>
		<db-attribute name="trabalhadores_ecds_datas_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_ecds_datas_emails_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_ecds_datas_observacoes" schema="public">
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="observacao" type="VARCHAR" length="4096"/>
		<db-attribute name="trabalhadores_ecds_datas_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_ecds_datas_observacoes_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_fichas_aptidao" schema="public">
		<db-attribute name="exame_id" type="INTEGER" length="10"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="processo_id" type="INTEGER" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_fichas_aptidao_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<db-entity name="trabalhadores_processo" schema="public">
		<db-attribute name="data_fim" type="DATE" length="13"/>
		<db-attribute name="data_inicio" type="DATE" length="13"/>
		<db-attribute name="estado" type="CHAR" isMandatory="true" length="1"/>
		<db-attribute name="id" type="INTEGER" isPrimaryKey="true" isMandatory="true" length="10"/>
		<db-attribute name="motivo" type="INTEGER" length="10"/>
		<db-attribute name="sub_motivo" type="INTEGER" length="10"/>
		<db-attribute name="trabalhador_id" type="INTEGER" isMandatory="true" length="10"/>
		<db-key-generator>
			<db-generator-type>ORACLE</db-generator-type>
			<db-generator-name>trabalhadores_processo_id_seq</db-generator-name>
			<db-key-cache-size>1</db-key-cache-size>
		</db-key-generator>
	</db-entity>
	<obj-entity name="Avisos" className="siprp.database.cayenne.objects.Avisos" dbEntityName="avisos">
		<obj-attribute name="dataAviso" type="java.util.Date" db-attribute-path="data_aviso"/>
		<obj-attribute name="dataEvento" type="java.util.Date" db-attribute-path="data_evento"/>
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="eventoId" type="java.lang.Integer" db-attribute-path="evento_id"/>
		<obj-attribute name="tipo" type="java.lang.Integer" db-attribute-path="tipo"/>
		<obj-attribute name="trabalhadorId" type="java.lang.Integer" db-attribute-path="trabalhador_id"/>
	</obj-entity>
	<obj-entity name="Contactos" className="siprp.database.cayenne.objects.Contactos" dbEntityName="contactos">
		<obj-attribute name="cargo" type="java.lang.String" db-attribute-path="cargo"/>
		<obj-attribute name="email" type="java.lang.String" db-attribute-path="email"/>
		<obj-attribute name="fax" type="java.lang.String" db-attribute-path="fax"/>
		<obj-attribute name="nome" type="java.lang.String" db-attribute-path="nome"/>
		<obj-attribute name="telefone" type="java.lang.String" db-attribute-path="telefone"/>
		<obj-attribute name="telemovel" type="java.lang.String" db-attribute-path="telemovel"/>
	</obj-entity>
	<obj-entity name="EcdOficial" className="siprp.database.cayenne.objects.EcdOficial" dbEntityName="ecd_oficial">
		<obj-attribute name="activo" type="java.lang.String" db-attribute-path="activo"/>
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="descricaoPlain" type="java.lang.String" db-attribute-path="descricao_plain"/>
		<obj-attribute name="ordem" type="java.lang.Integer" db-attribute-path="ordem"/>
	</obj-entity>
	<obj-entity name="Empresas" className="siprp.database.cayenne.objects.Empresas" dbEntityName="empresas" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="aConsultas" type="java.lang.String" db-attribute-path="a_consultas"/>
		<obj-attribute name="aExames" type="java.lang.String" db-attribute-path="a_exames"/>
		<obj-attribute name="actividade" type="java.lang.String" db-attribute-path="actividade"/>
		<obj-attribute name="actualizacao" type="java.util.Date" db-attribute-path="actualizacao"/>
		<obj-attribute name="bConsultas" type="java.lang.String" db-attribute-path="b_consultas"/>
		<obj-attribute name="bExames" type="java.lang.String" db-attribute-path="b_exames"/>
		<obj-attribute name="cae" type="java.lang.String" db-attribute-path="cae"/>
		<obj-attribute name="codigo1" type="java.lang.String" db-attribute-path="codigo_1"/>
		<obj-attribute name="codigo2" type="java.lang.String" db-attribute-path="codigo_2"/>
		<obj-attribute name="codigo3" type="java.lang.String" db-attribute-path="codigo_3"/>
		<obj-attribute name="codigoPostal" type="java.lang.String" db-attribute-path="codigo_postal"/>
		<obj-attribute name="concelho" type="java.lang.String" db-attribute-path="concelho"/>
		<obj-attribute name="contribuinte" type="java.lang.String" db-attribute-path="contribuinte"/>
		<obj-attribute name="dataAceitacao" type="java.util.Date" db-attribute-path="data_aceitacao"/>
		<obj-attribute name="dataCancelamento" type="java.util.Date" db-attribute-path="data_cancelamento"/>
		<obj-attribute name="dataEnvioContrato" type="java.util.Date" db-attribute-path="data_envio_contrato"/>
		<obj-attribute name="dataEnvioIdict" type="java.util.Date" db-attribute-path="data_envio_idict"/>
		<obj-attribute name="dataProposta" type="java.util.Date" db-attribute-path="data_proposta"/>
		<obj-attribute name="dataRecepcaoContrato" type="java.util.Date" db-attribute-path="data_recepcao_contrato"/>
		<obj-attribute name="dataRelatorioAnual" type="java.util.Date" db-attribute-path="data_relatorio_anual"/>
		<obj-attribute name="designacaoSocial" type="java.lang.String" db-attribute-path="designacao_social"/>
		<obj-attribute name="designacaoSocialPlain" type="java.lang.String" db-attribute-path="designacao_social_plain"/>
		<obj-attribute name="distrito" type="java.lang.String" db-attribute-path="distrito"/>
		<obj-attribute name="duracao" type="java.lang.Integer" db-attribute-path="duracao"/>
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
		<obj-attribute name="inactivo" type="java.lang.String" db-attribute-path="inactivo"/>
		<obj-attribute name="inicioContrato" type="java.util.Date" db-attribute-path="inicio_contrato"/>
		<obj-attribute name="localidade" type="java.lang.String" db-attribute-path="localidade"/>
		<obj-attribute name="morada" type="java.lang.String" db-attribute-path="morada"/>
		<obj-attribute name="numeroTrabalhadores" type="java.lang.Integer" db-attribute-path="numero_trabalhadores"/>
		<obj-attribute name="perfil1" type="java.lang.String" db-attribute-path="perfil_1"/>
		<obj-attribute name="perfil2" type="java.lang.String" db-attribute-path="perfil_2"/>
		<obj-attribute name="periodicidade" type="java.lang.String" db-attribute-path="periodicidade"/>
		<obj-attribute name="precoHigiene" type="java.lang.Double" db-attribute-path="preco_higiene"/>
		<obj-attribute name="precoMedicina" type="java.lang.Double" db-attribute-path="preco_medicina"/>
		<obj-attribute name="segurancaSocial" type="java.lang.String" db-attribute-path="seguranca_social"/>
		<obj-attribute name="servicoHigieneDesignacao" type="java.lang.String" db-attribute-path="servico_higiene_designacao"/>
		<obj-attribute name="servicoHigieneTipo" type="java.lang.Integer" db-attribute-path="servico_higiene_tipo"/>
		<obj-attribute name="servicoSaudeDesignacao" type="java.lang.String" db-attribute-path="servico_saude_designacao"/>
		<obj-attribute name="servicoSaudeTipo" type="java.lang.Integer" db-attribute-path="servico_saude_tipo"/>
		<obj-attribute name="servicos" type="java.lang.Integer" db-attribute-path="servicos"/>
	</obj-entity>
	<obj-entity name="Errors" className="siprp.database.cayenne.objects.Errors" dbEntityName="errors">
		<obj-attribute name="date" type="java.util.Date" db-attribute-path="date"/>
		<obj-attribute name="description" type="java.lang.String" db-attribute-path="description"/>
		<obj-attribute name="environment" type="java.lang.String" db-attribute-path="environment"/>
		<obj-attribute name="type" type="java.lang.String" db-attribute-path="type"/>
	</obj-entity>
	<obj-entity name="Estabelecimentos" className="siprp.database.cayenne.objects.Estabelecimentos" dbEntityName="estabelecimentos" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="actualizacao" type="java.util.Date" db-attribute-path="actualizacao"/>
		<obj-attribute name="codigoPostal" type="java.lang.String" db-attribute-path="codigo_postal"/>
		<obj-attribute name="contacto" type="java.lang.String" db-attribute-path="contacto"/>
		<obj-attribute name="historico" type="java.lang.String" db-attribute-path="historico"/>
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
		<obj-attribute name="inactivo" type="java.lang.String" db-attribute-path="inactivo"/>
		<obj-attribute name="localidade" type="java.lang.String" db-attribute-path="localidade"/>
		<obj-attribute name="morada" type="java.lang.String" db-attribute-path="morada"/>
		<obj-attribute name="nome" type="java.lang.String" db-attribute-path="nome"/>
		<obj-attribute name="nomePlain" type="java.lang.String" db-attribute-path="nome_plain"/>
	</obj-entity>
	<obj-entity name="Etiquetas" className="siprp.database.cayenne.objects.Etiquetas" dbEntityName="etiquetas">
		<obj-attribute name="altura" type="java.lang.Float" db-attribute-path="altura"/>
		<obj-attribute name="alturaFolha" type="java.lang.Float" db-attribute-path="altura_folha"/>
		<obj-attribute name="colunas" type="java.lang.Integer" db-attribute-path="colunas"/>
		<obj-attribute name="continua" type="java.lang.String" db-attribute-path="continua"/>
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="descricaoPlain" type="java.lang.String" db-attribute-path="descricao_plain"/>
		<obj-attribute name="largura" type="java.lang.Float" db-attribute-path="largura"/>
		<obj-attribute name="larguraFolha" type="java.lang.Float" db-attribute-path="largura_folha"/>
		<obj-attribute name="linhas" type="java.lang.Integer" db-attribute-path="linhas"/>
		<obj-attribute name="margemCima" type="java.lang.Float" db-attribute-path="margem_cima"/>
		<obj-attribute name="margemEsquerda" type="java.lang.Float" db-attribute-path="margem_esquerda"/>
		<obj-attribute name="margemHorizontalFolha" type="java.lang.Float" db-attribute-path="margem_horizontal_folha"/>
		<obj-attribute name="margemVerticalFolha" type="java.lang.Float" db-attribute-path="margem_vertical_folha"/>
	</obj-entity>
	<obj-entity name="Exames" className="siprp.database.cayenne.objects.Exames" dbEntityName="exames">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="fo" type="byte[]" db-attribute-path="fo"/>
		<obj-attribute name="inactivo" type="java.lang.String" db-attribute-path="inactivo"/>
		<obj-attribute name="ocasional" type="java.lang.Integer" db-attribute-path="ocasional"/>
		<obj-attribute name="outraFuncao1" type="java.lang.String" db-attribute-path="outra_funcao_1"/>
		<obj-attribute name="outraFuncao2" type="java.lang.String" db-attribute-path="outra_funcao_2"/>
		<obj-attribute name="outraFuncao3" type="java.lang.String" db-attribute-path="outra_funcao_3"/>
		<obj-attribute name="outraFuncao4" type="java.lang.String" db-attribute-path="outra_funcao_4"/>
		<obj-attribute name="outrasRecomendacoes" type="java.lang.String" db-attribute-path="outras_recomendacoes"/>
		<obj-attribute name="outroTipo" type="java.lang.String" db-attribute-path="outro_tipo"/>
		<obj-attribute name="pdf" type="byte[]" db-attribute-path="pdf"/>
		<obj-attribute name="proximoExame" type="java.util.Date" db-attribute-path="proximo_exame"/>
		<obj-attribute name="resultado" type="java.lang.Integer" db-attribute-path="resultado"/>
		<obj-attribute name="tipo" type="java.lang.Integer" db-attribute-path="tipo"/>
		<obj-attribute name="trabalhadorId" type="java.lang.Integer" db-attribute-path="trabalhador_id"/>
	</obj-entity>
	<obj-entity name="ExamesPerfis" className="siprp.database.cayenne.objects.ExamesPerfis" dbEntityName="exames_perfis">
		<obj-attribute name="multiplicador" type="java.lang.Integer" db-attribute-path="multiplicador"/>
		<obj-attribute name="perfil" type="java.lang.Integer" db-attribute-path="perfil"/>
	</obj-entity>
	<obj-entity name="ExamesPortaria" className="siprp.database.cayenne.objects.ExamesPortaria" dbEntityName="exames_portaria">
		<obj-attribute name="dataEntrada" type="java.util.Date" db-attribute-path="data_entrada"/>
		<obj-attribute name="portaria" type="java.lang.String" db-attribute-path="portaria"/>
	</obj-entity>
	<obj-entity name="HistoricoEstabelecimento" className="siprp.database.cayenne.objects.HistoricoEstabelecimento" dbEntityName="historico_estabelecimento">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="texto" type="java.lang.String" db-attribute-path="texto"/>
	</obj-entity>
	<obj-entity name="Ids" className="siprp.database.cayenne.objects.Ids" dbEntityName="ids">
	</obj-entity>
	<obj-entity name="Lembretes" className="siprp.database.cayenne.objects.Lembretes" dbEntityName="lembretes">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="enviarEmail" type="java.lang.String" db-attribute-path="enviar_email"/>
		<obj-attribute name="periodicidadeDias" type="java.lang.Integer" db-attribute-path="periodicidade_dias"/>
		<obj-attribute name="periodicidadeMeses" type="java.lang.Integer" db-attribute-path="periodicidade_meses"/>
		<obj-attribute name="texto" type="java.lang.String" db-attribute-path="texto"/>
		<obj-attribute name="ultimoEnvio" type="java.util.Date" db-attribute-path="ultimo_envio"/>
	</obj-entity>
	<obj-entity name="LembretesTipos" className="siprp.database.cayenne.objects.LembretesTipos" dbEntityName="lembretes_tipos">
		<obj-attribute name="activo" type="java.lang.String" db-attribute-path="activo"/>
		<obj-attribute name="codigo" type="java.lang.String" db-attribute-path="codigo"/>
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="ordem" type="java.lang.Integer" db-attribute-path="ordem"/>
	</obj-entity>
	<obj-entity name="MarcacoesEmpresa" className="siprp.database.cayenne.objects.MarcacoesEmpresa" dbEntityName="marcacoes_empresa">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="realizada" type="java.lang.String" db-attribute-path="realizada"/>
		<obj-attribute name="texto" type="java.lang.String" db-attribute-path="texto"/>
	</obj-entity>
	<obj-entity name="MarcacoesEstabelecimento" className="siprp.database.cayenne.objects.MarcacoesEstabelecimento" dbEntityName="marcacoes_estabelecimento">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="dataEmail" type="java.util.Date" db-attribute-path="data_email"/>
		<obj-attribute name="dataRelatorio" type="java.util.Date" db-attribute-path="data_relatorio"/>
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
		<obj-attribute name="observacoes" type="java.lang.String" db-attribute-path="observacoes"/>
		<obj-attribute name="realizada" type="java.lang.String" db-attribute-path="realizada"/>
	</obj-entity>
	<obj-entity name="MarcacoesGruposRealizados" className="siprp.database.cayenne.objects.MarcacoesGruposRealizados" dbEntityName="marcacoes_grupos_realizados">
	</obj-entity>
	<obj-entity name="MarcacoesTecnicosHst" className="siprp.database.cayenne.objects.MarcacoesTecnicosHst" dbEntityName="marcacoes_tecnicos_hst">
		<obj-attribute name="identificador" type="java.lang.Integer" db-attribute-path="identificador"/>
		<obj-attribute name="inactivo" type="java.lang.String" db-attribute-path="inactivo"/>
		<obj-attribute name="iniciais" type="java.lang.String" db-attribute-path="iniciais"/>
		<obj-attribute name="nome" type="java.lang.String" db-attribute-path="nome"/>
		<obj-attribute name="nomePlain" type="java.lang.String" db-attribute-path="nome_plain"/>
	</obj-entity>
	<obj-entity name="MarcacoesTrabalhador" className="siprp.database.cayenne.objects.MarcacoesTrabalhador" dbEntityName="marcacoes_trabalhador">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="dataEmail" type="java.util.Date" db-attribute-path="data_email"/>
		<obj-attribute name="dataRelatorio" type="java.util.Date" db-attribute-path="data_relatorio"/>
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
		<obj-attribute name="motivo" type="java.lang.Integer" db-attribute-path="motivo"/>
		<obj-attribute name="observacoes" type="java.lang.String" db-attribute-path="observacoes"/>
		<obj-attribute name="realizada" type="java.lang.String" db-attribute-path="realizada"/>
		<obj-attribute name="tipo" type="java.lang.Integer" db-attribute-path="tipo"/>
		<obj-attribute name="trabalhadorId" type="java.lang.Integer" db-attribute-path="trabalhador_id"/>
	</obj-entity>
	<obj-entity name="MarcacoesTrabalhadorEstados" className="siprp.database.cayenne.objects.MarcacoesTrabalhadorEstados" dbEntityName="marcacoes_trabalhador_estados">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
	</obj-entity>
	<obj-entity name="Medicos" className="siprp.database.cayenne.objects.Medicos" dbEntityName="medicos">
		<obj-attribute name="inactivo" type="java.lang.String" db-attribute-path="inactivo"/>
		<obj-attribute name="nome" type="java.lang.String" db-attribute-path="nome"/>
		<obj-attribute name="numeroCedula" type="java.lang.String" db-attribute-path="numero_cedula"/>
	</obj-entity>
	<obj-entity name="Prestadores" className="siprp.database.cayenne.objects.Prestadores" dbEntityName="prestadores">
		<obj-attribute name="activo" type="java.lang.String" db-attribute-path="activo"/>
		<obj-attribute name="codigoPostal" type="java.lang.String" db-attribute-path="codigo_postal"/>
		<obj-attribute name="contribuinte" type="java.lang.String" db-attribute-path="contribuinte"/>
		<obj-attribute name="fazConsultas" type="java.lang.String" db-attribute-path="faz_consultas"/>
		<obj-attribute name="fazEcds" type="java.lang.String" db-attribute-path="faz_ecds"/>
		<obj-attribute name="localidade" type="java.lang.String" db-attribute-path="localidade"/>
		<obj-attribute name="localidadeCp" type="java.lang.String" db-attribute-path="localidade_cp"/>
		<obj-attribute name="morada" type="java.lang.String" db-attribute-path="morada"/>
		<obj-attribute name="nome" type="java.lang.String" db-attribute-path="nome"/>
		<obj-attribute name="nomePlain" type="java.lang.String" db-attribute-path="nome_plain"/>
	</obj-entity>
	<obj-entity name="PrestadoresGruposProtocolo" className="siprp.database.cayenne.objects.PrestadoresGruposProtocolo" dbEntityName="prestadores_grupos_protocolo">
	</obj-entity>
	<obj-entity name="PrtElementosProtocolo" className="siprp.database.cayenne.objects.PrtElementosProtocolo" dbEntityName="prt_elementos_protocolo">
		<obj-attribute name="numeroPerfil" type="java.lang.Integer" db-attribute-path="numero_perfil"/>
	</obj-entity>
	<obj-entity name="PrtGruposProtocolo" className="siprp.database.cayenne.objects.PrtGruposProtocolo" dbEntityName="prt_grupos_protocolo">
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="descricaoPlain" type="java.lang.String" db-attribute-path="descricao_plain"/>
		<obj-attribute name="grupoReal" type="java.lang.String" db-attribute-path="grupo_real"/>
		<obj-attribute name="ordem" type="java.lang.Integer" db-attribute-path="ordem"/>
	</obj-entity>
	<obj-entity name="PrtTiposElementosProtocolo" className="siprp.database.cayenne.objects.PrtTiposElementosProtocolo" dbEntityName="prt_tipos_elementos_protocolo">
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="descricaoPlain" type="java.lang.String" db-attribute-path="descricao_plain"/>
		<obj-attribute name="ordem" type="java.lang.Integer" db-attribute-path="ordem"/>
	</obj-entity>
	<obj-entity name="TiposExamesComp" className="siprp.database.cayenne.objects.TiposExamesComp" dbEntityName="tipos_exames_comp">
		<obj-attribute name="descricao" type="java.lang.String" db-attribute-path="descricao"/>
		<obj-attribute name="ordem" type="java.lang.Integer" db-attribute-path="ordem"/>
	</obj-entity>
	<obj-entity name="Trabalhadores" className="siprp.database.cayenne.objects.Trabalhadores" dbEntityName="trabalhadores" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="actualizacao" type="java.util.Date" db-attribute-path="actualizacao"/>
		<obj-attribute name="categoria" type="java.lang.String" db-attribute-path="categoria"/>
		<obj-attribute name="dataAdmissao" type="java.util.Date" db-attribute-path="data_admissao"/>
		<obj-attribute name="dataAdmissaoFuncao" type="java.util.Date" db-attribute-path="data_admissao_funcao"/>
		<obj-attribute name="dataDemissao" type="java.util.Date" db-attribute-path="data_demissao"/>
		<obj-attribute name="dataNascimento" type="java.util.Date" db-attribute-path="data_nascimento"/>
		<obj-attribute name="funcaoProposta" type="java.lang.String" db-attribute-path="funcao_proposta"/>
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
		<obj-attribute name="inactivo" type="java.lang.String" db-attribute-path="inactivo"/>
		<obj-attribute name="localTrabalho" type="java.lang.String" db-attribute-path="local_trabalho"/>
		<obj-attribute name="nacionalidade" type="java.lang.String" db-attribute-path="nacionalidade"/>
		<obj-attribute name="nome" type="java.lang.String" db-attribute-path="nome"/>
		<obj-attribute name="nomePlain" type="java.lang.String" db-attribute-path="nome_plain"/>
		<obj-attribute name="numeroMecanografico" type="java.lang.String" db-attribute-path="numero_mecanografico"/>
		<obj-attribute name="observacoes" type="java.lang.String" db-attribute-path="observacoes"/>
		<obj-attribute name="observacoesGestao" type="java.lang.String" db-attribute-path="observacoes_gestao"/>
		<obj-attribute name="perfil" type="java.lang.Integer" db-attribute-path="perfil"/>
		<obj-attribute name="sexo" type="java.lang.String" db-attribute-path="sexo"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresConsultas" className="siprp.database.cayenne.objects.TrabalhadoresConsultas" dbEntityName="trabalhadores_consultas" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresConsultasDatas" className="siprp.database.cayenne.objects.TrabalhadoresConsultasDatas" dbEntityName="trabalhadores_consultas_datas" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresConsultasDatasEmails" className="siprp.database.cayenne.objects.TrabalhadoresConsultasDatasEmails" dbEntityName="trabalhadores_consultas_datas_emails" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="body" type="java.lang.String" db-attribute-path="body"/>
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="destination" type="java.lang.String" db-attribute-path="destination"/>
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
		<obj-attribute name="subject" type="java.lang.String" db-attribute-path="subject"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresConsultasDatasObservacoes" className="siprp.database.cayenne.objects.TrabalhadoresConsultasDatasObservacoes" dbEntityName="trabalhadores_consultas_datas_observacoes" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
		<obj-attribute name="observacao" type="java.lang.String" db-attribute-path="observacao"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresEcd" className="siprp.database.cayenne.objects.TrabalhadoresEcd" dbEntityName="trabalhadores_ecd" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresEcds" className="siprp.database.cayenne.objects.TrabalhadoresEcds" dbEntityName="trabalhadores_ecds" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresEcdsDatas" className="siprp.database.cayenne.objects.TrabalhadoresEcdsDatas" dbEntityName="trabalhadores_ecds_datas" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="estado" type="java.lang.Integer" db-attribute-path="estado"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresEcdsDatasEmails" className="siprp.database.cayenne.objects.TrabalhadoresEcdsDatasEmails" dbEntityName="trabalhadores_ecds_datas_emails" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="body" type="java.lang.String" db-attribute-path="body"/>
		<obj-attribute name="data" type="java.util.Date" db-attribute-path="data"/>
		<obj-attribute name="destination" type="java.lang.String" db-attribute-path="destination"/>
		<obj-attribute name="subject" type="java.lang.String" db-attribute-path="subject"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresEcdsDatasObservacoes" className="siprp.database.cayenne.objects.TrabalhadoresEcdsDatasObservacoes" dbEntityName="trabalhadores_ecds_datas_observacoes" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="observacao" type="java.lang.String" db-attribute-path="observacao"/>
	</obj-entity>
	<obj-entity name="TrabalhadoresFichasAptidao" className="siprp.database.cayenne.objects.TrabalhadoresFichasAptidao" dbEntityName="trabalhadores_fichas_aptidao" superClassName="siprp.database.cayenne.objects.BaseObject">
	</obj-entity>
	<obj-entity name="TrabalhadoresProcesso" className="siprp.database.cayenne.objects.TrabalhadoresProcesso" dbEntityName="trabalhadores_processo" superClassName="siprp.database.cayenne.objects.BaseObject">
		<obj-attribute name="dataFim" type="java.util.Date" db-attribute-path="data_fim"/>
		<obj-attribute name="dataInicio" type="java.util.Date" db-attribute-path="data_inicio"/>
		<obj-attribute name="estado" type="java.lang.String" db-attribute-path="estado"/>
		<obj-attribute name="id" type="java.lang.Integer" db-attribute-path="id"/>
		<obj-attribute name="motivo" type="java.lang.Integer" db-attribute-path="motivo"/>
		<obj-attribute name="subMotivo" type="java.lang.Integer" db-attribute-path="sub_motivo"/>
	</obj-entity>
	<db-relationship name="toEmpresas" source="avisos" target="empresas" toMany="false">
		<db-attribute-pair source="empresa_id" target="id"/>
	</db-relationship>
	<db-relationship name="toEstabelecimentos" source="avisos" target="estabelecimentos" toMany="false">
		<db-attribute-pair source="estabelecimento_id" target="id"/>
	</db-relationship>
	<db-relationship name="empresasArray" source="contactos" target="empresas" toMany="true">
		<db-attribute-pair source="id" target="contacto_1"/>
	</db-relationship>
	<db-relationship name="empresasArray1" source="contactos" target="empresas" toMany="true">
		<db-attribute-pair source="id" target="contacto_2"/>
	</db-relationship>
	<db-relationship name="prestadoresArray" source="contactos" target="prestadores" toMany="true">
		<db-attribute-pair source="id" target="contacto_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdArray" source="ecd_oficial" target="trabalhadores_ecd" toMany="true">
		<db-attribute-pair source="id" target="ecd_oficial_id"/>
	</db-relationship>
	<db-relationship name="avisosArray" source="empresas" target="avisos" toMany="true">
		<db-attribute-pair source="id" target="empresa_id"/>
	</db-relationship>
	<db-relationship name="estabelecimentosArray" source="empresas" target="estabelecimentos" toMany="true">
		<db-attribute-pair source="id" target="empresa_id"/>
	</db-relationship>
	<db-relationship name="lembretesArray" source="empresas" target="lembretes" toMany="true">
		<db-attribute-pair source="id" target="empresa_id"/>
	</db-relationship>
	<db-relationship name="marcacoesEmpresaArray" source="empresas" target="marcacoes_empresa" toMany="true">
		<db-attribute-pair source="id" target="empresa_id"/>
	</db-relationship>
	<db-relationship name="prtElementosProtocoloArray" source="empresas" target="prt_elementos_protocolo" toMany="true">
		<db-attribute-pair source="id" target="empresa_id"/>
	</db-relationship>
	<db-relationship name="toContactos" source="empresas" target="contactos" toMany="false">
		<db-attribute-pair source="contacto_1" target="id"/>
	</db-relationship>
	<db-relationship name="toContactos1" source="empresas" target="contactos" toMany="false">
		<db-attribute-pair source="contacto_2" target="id"/>
	</db-relationship>
	<db-relationship name="avisosArray" source="estabelecimentos" target="avisos" toMany="true">
		<db-attribute-pair source="id" target="estabelecimento_id"/>
	</db-relationship>
	<db-relationship name="historicoEstabelecimentoArray" source="estabelecimentos" target="historico_estabelecimento" toMany="true">
		<db-attribute-pair source="id" target="estabelecimento_id"/>
	</db-relationship>
	<db-relationship name="lembretesArray" source="estabelecimentos" target="lembretes" toMany="true">
		<db-attribute-pair source="id" target="estabelecimento_id"/>
	</db-relationship>
	<db-relationship name="marcacoesEstabelecimentoArray" source="estabelecimentos" target="marcacoes_estabelecimento" toMany="true">
		<db-attribute-pair source="id" target="estabelecimento_id"/>
	</db-relationship>
	<db-relationship name="toEmpresas" source="estabelecimentos" target="empresas" toMany="false">
		<db-attribute-pair source="empresa_id" target="id"/>
	</db-relationship>
	<db-relationship name="toMedicos" source="estabelecimentos" target="medicos" toMany="false">
		<db-attribute-pair source="medico_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresArray" source="estabelecimentos" target="trabalhadores" toMany="true">
		<db-attribute-pair source="id" target="estabelecimento_id"/>
	</db-relationship>
	<db-relationship name="toMedicos" source="exames" target="medicos" toMany="false">
		<db-attribute-pair source="medico_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresFichasAptidaoArray" source="exames" target="trabalhadores_fichas_aptidao" toMany="true">
		<db-attribute-pair source="id" target="exame_id"/>
	</db-relationship>
	<db-relationship name="toTiposExamesComp" source="exames_perfis" target="tipos_exames_comp" toMany="false">
		<db-attribute-pair source="tipo" target="id"/>
	</db-relationship>
	<db-relationship name="toEstabelecimentos" source="historico_estabelecimento" target="estabelecimentos" toMany="false">
		<db-attribute-pair source="estabelecimento_id" target="id"/>
	</db-relationship>
	<db-relationship name="toEmpresas" source="lembretes" target="empresas" toMany="false">
		<db-attribute-pair source="empresa_id" target="id"/>
	</db-relationship>
	<db-relationship name="toEstabelecimentos" source="lembretes" target="estabelecimentos" toMany="false">
		<db-attribute-pair source="estabelecimento_id" target="id"/>
	</db-relationship>
	<db-relationship name="toLembretesTipos" source="lembretes" target="lembretes_tipos" toMany="false">
		<db-attribute-pair source="tipo_id" target="id"/>
	</db-relationship>
	<db-relationship name="toMarcacoesEstabelecimento" source="lembretes" target="marcacoes_estabelecimento" toMany="false">
		<db-attribute-pair source="marcacao_estabelecimento_id" target="id"/>
	</db-relationship>
	<db-relationship name="toMarcacoesTrabalhador" source="lembretes" target="marcacoes_trabalhador" toMany="false">
		<db-attribute-pair source="marcacao_trabalhador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadores" source="lembretes" target="trabalhadores" toMany="false">
		<db-attribute-pair source="trabalhador_id" target="id"/>
	</db-relationship>
	<db-relationship name="lembretesArray" source="lembretes_tipos" target="lembretes" toMany="true">
		<db-attribute-pair source="id" target="tipo_id"/>
	</db-relationship>
	<db-relationship name="toEmpresas" source="marcacoes_empresa" target="empresas" toMany="false">
		<db-attribute-pair source="empresa_id" target="id"/>
	</db-relationship>
	<db-relationship name="lembretesArray" source="marcacoes_estabelecimento" target="lembretes" toMany="true">
		<db-attribute-pair source="id" target="marcacao_estabelecimento_id"/>
	</db-relationship>
	<db-relationship name="toEstabelecimentos" source="marcacoes_estabelecimento" target="estabelecimentos" toMany="false">
		<db-attribute-pair source="estabelecimento_id" target="id"/>
	</db-relationship>
	<db-relationship name="toMarcacoesTecnicosHst" source="marcacoes_estabelecimento" target="marcacoes_tecnicos_hst" toMany="false">
		<db-attribute-pair source="tecnico_hst" target="id"/>
	</db-relationship>
	<db-relationship name="toMarcacoesTrabalhador" source="marcacoes_grupos_realizados" target="marcacoes_trabalhador" toMany="false">
		<db-attribute-pair source="marcacao_trabalhador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toMarcacoesTrabalhadorEstados" source="marcacoes_grupos_realizados" target="marcacoes_trabalhador_estados" toMany="false">
		<db-attribute-pair source="marcacoes_trabalhador_estado_id" target="id"/>
	</db-relationship>
	<db-relationship name="toPrtGruposProtocolo" source="marcacoes_grupos_realizados" target="prt_grupos_protocolo" toMany="false">
		<db-attribute-pair source="grupo_protocolo_id" target="id"/>
	</db-relationship>
	<db-relationship name="marcacoesEstabelecimentoArray" source="marcacoes_tecnicos_hst" target="marcacoes_estabelecimento" toMany="true">
		<db-attribute-pair source="id" target="tecnico_hst"/>
	</db-relationship>
	<db-relationship name="lembretesArray" source="marcacoes_trabalhador" target="lembretes" toMany="true">
		<db-attribute-pair source="id" target="marcacao_trabalhador_id"/>
	</db-relationship>
	<db-relationship name="marcacoesGruposRealizadosArray" source="marcacoes_trabalhador" target="marcacoes_grupos_realizados" toMany="true">
		<db-attribute-pair source="id" target="marcacao_trabalhador_id"/>
	</db-relationship>
	<db-relationship name="marcacoesTrabalhadorEstadosArray" source="marcacoes_trabalhador" target="marcacoes_trabalhador_estados" toMany="true">
		<db-attribute-pair source="id" target="marcacao_id"/>
	</db-relationship>
	<db-relationship name="toPrestadores" source="marcacoes_trabalhador" target="prestadores" toMany="false">
		<db-attribute-pair source="prestador_id" target="id"/>
	</db-relationship>
	<db-relationship name="marcacoesGruposRealizadosArray" source="marcacoes_trabalhador_estados" target="marcacoes_grupos_realizados" toMany="true">
		<db-attribute-pair source="id" target="marcacoes_trabalhador_estado_id"/>
	</db-relationship>
	<db-relationship name="toMarcacoesTrabalhador" source="marcacoes_trabalhador_estados" target="marcacoes_trabalhador" toMany="false">
		<db-attribute-pair source="marcacao_id" target="id"/>
	</db-relationship>
	<db-relationship name="toPrestadores" source="marcacoes_trabalhador_estados" target="prestadores" toMany="false">
		<db-attribute-pair source="prestador_id" target="id"/>
	</db-relationship>
	<db-relationship name="estabelecimentosArray" source="medicos" target="estabelecimentos" toMany="true">
		<db-attribute-pair source="id" target="medico_id"/>
	</db-relationship>
	<db-relationship name="examesArray" source="medicos" target="exames" toMany="true">
		<db-attribute-pair source="id" target="medico_id"/>
	</db-relationship>
	<db-relationship name="marcacoesTrabalhadorArray" source="prestadores" target="marcacoes_trabalhador" toMany="true">
		<db-attribute-pair source="id" target="prestador_id"/>
	</db-relationship>
	<db-relationship name="marcacoesTrabalhadorEstadosArray" source="prestadores" target="marcacoes_trabalhador_estados" toMany="true">
		<db-attribute-pair source="id" target="prestador_id"/>
	</db-relationship>
	<db-relationship name="prestadoresGruposProtocoloArray" source="prestadores" target="prestadores_grupos_protocolo" toMany="true">
		<db-attribute-pair source="id" target="prestador_id"/>
	</db-relationship>
	<db-relationship name="toContactos" source="prestadores" target="contactos" toMany="false">
		<db-attribute-pair source="contacto_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresConsultasArray" source="prestadores" target="trabalhadores_consultas" toMany="true">
		<db-attribute-pair source="id" target="prestador_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresConsultasDatasArray" source="prestadores" target="trabalhadores_consultas_datas" toMany="true">
		<db-attribute-pair source="id" target="prestador_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdArray" source="prestadores" target="trabalhadores_ecd" toMany="true">
		<db-attribute-pair source="id" target="prestador_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdsDatasArray" source="prestadores" target="trabalhadores_ecds_datas" toMany="true">
		<db-attribute-pair source="id" target="prestador_id"/>
	</db-relationship>
	<db-relationship name="toPrestadores" source="prestadores_grupos_protocolo" target="prestadores" toMany="false">
		<db-attribute-pair source="prestador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toPrtGruposProtocolo" source="prestadores_grupos_protocolo" target="prt_grupos_protocolo" toMany="false">
		<db-attribute-pair source="grupo_protocolo_id" target="id"/>
	</db-relationship>
	<db-relationship name="toEmpresas" source="prt_elementos_protocolo" target="empresas" toMany="false">
		<db-attribute-pair source="empresa_id" target="id"/>
	</db-relationship>
	<db-relationship name="toPrtTiposElementosProtocolo" source="prt_elementos_protocolo" target="prt_tipos_elementos_protocolo" toMany="false">
		<db-attribute-pair source="tipo_elemento_protocolo_id" target="id"/>
	</db-relationship>
	<db-relationship name="marcacoesGruposRealizadosArray" source="prt_grupos_protocolo" target="marcacoes_grupos_realizados" toMany="true">
		<db-attribute-pair source="id" target="grupo_protocolo_id"/>
	</db-relationship>
	<db-relationship name="prestadoresGruposProtocoloArray" source="prt_grupos_protocolo" target="prestadores_grupos_protocolo" toMany="true">
		<db-attribute-pair source="id" target="grupo_protocolo_id"/>
	</db-relationship>
	<db-relationship name="prtTiposElementosProtocoloArray" source="prt_grupos_protocolo" target="prt_tipos_elementos_protocolo" toMany="true">
		<db-attribute-pair source="id" target="grupo_protocolo_id"/>
	</db-relationship>
	<db-relationship name="prtElementosProtocoloArray" source="prt_tipos_elementos_protocolo" target="prt_elementos_protocolo" toMany="true">
		<db-attribute-pair source="id" target="tipo_elemento_protocolo_id"/>
	</db-relationship>
	<db-relationship name="toPrtGruposProtocolo" source="prt_tipos_elementos_protocolo" target="prt_grupos_protocolo" toMany="false">
		<db-attribute-pair source="grupo_protocolo_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdArray" source="prt_tipos_elementos_protocolo" target="trabalhadores_ecd" toMany="true">
		<db-attribute-pair source="id" target="ecd_id"/>
	</db-relationship>
	<db-relationship name="examesPerfisArray" source="tipos_exames_comp" target="exames_perfis" toMany="true">
		<db-attribute-pair source="id" target="tipo"/>
	</db-relationship>
	<db-relationship name="lembretesArray" source="trabalhadores" target="lembretes" toMany="true">
		<db-attribute-pair source="id" target="trabalhador_id"/>
	</db-relationship>
	<db-relationship name="toEstabelecimentos" source="trabalhadores" target="estabelecimentos" toMany="false">
		<db-attribute-pair source="estabelecimento_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresConsultasArray" source="trabalhadores" target="trabalhadores_consultas" toMany="true">
		<db-attribute-pair source="id" target="trabalhador_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdsArray" source="trabalhadores" target="trabalhadores_ecds" toMany="true">
		<db-attribute-pair source="id" target="trabalhador_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresProcessoArray" source="trabalhadores" target="trabalhadores_processo" toMany="true">
		<db-attribute-pair source="id" target="trabalhador_id"/>
	</db-relationship>
	<db-relationship name="toPrestadores" source="trabalhadores_consultas" target="prestadores" toMany="false">
		<db-attribute-pair source="prestador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadores" source="trabalhadores_consultas" target="trabalhadores" toMany="false">
		<db-attribute-pair source="trabalhador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresProcesso" source="trabalhadores_consultas" target="trabalhadores_processo" toMany="false">
		<db-attribute-pair source="processo_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresConsultasDatasArray" source="trabalhadores_consultas" target="trabalhadores_consultas_datas" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_consultas_id"/>
	</db-relationship>
	<db-relationship name="toPrestadores" source="trabalhadores_consultas_datas" target="prestadores" toMany="false">
		<db-attribute-pair source="prestador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresConsultas" source="trabalhadores_consultas_datas" target="trabalhadores_consultas" toMany="false">
		<db-attribute-pair source="trabalhadores_consultas_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresConsultasDatasEmailsArray" source="trabalhadores_consultas_datas" target="trabalhadores_consultas_datas_emails" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_consultas_datas_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresConsultasDatasObservacoesArray" source="trabalhadores_consultas_datas" target="trabalhadores_consultas_datas_observacoes" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_consultas_datas_id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresConsultasDatas" source="trabalhadores_consultas_datas_emails" target="trabalhadores_consultas_datas" toMany="false">
		<db-attribute-pair source="trabalhadores_consultas_datas_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresConsultasDatas" source="trabalhadores_consultas_datas_observacoes" target="trabalhadores_consultas_datas" toMany="false">
		<db-attribute-pair source="trabalhadores_consultas_datas_id" target="id"/>
	</db-relationship>
	<db-relationship name="toEcdOficial" source="trabalhadores_ecd" target="ecd_oficial" toMany="false">
		<db-attribute-pair source="ecd_oficial_id" target="id"/>
	</db-relationship>
	<db-relationship name="toPrestadores" source="trabalhadores_ecd" target="prestadores" toMany="false">
		<db-attribute-pair source="prestador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toPrtTiposElementosProtocolo" source="trabalhadores_ecd" target="prt_tipos_elementos_protocolo" toMany="false">
		<db-attribute-pair source="ecd_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresEcds" source="trabalhadores_ecd" target="trabalhadores_ecds" toMany="false">
		<db-attribute-pair source="trabalhadores_ecds_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresEcdsDatas" source="trabalhadores_ecd" target="trabalhadores_ecds_datas" toMany="false">
		<db-attribute-pair source="trabalhadores_ecds_datas_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadores" source="trabalhadores_ecds" target="trabalhadores" toMany="false">
		<db-attribute-pair source="trabalhador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresProcesso" source="trabalhadores_ecds" target="trabalhadores_processo" toMany="false">
		<db-attribute-pair source="processo_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdArray" source="trabalhadores_ecds" target="trabalhadores_ecd" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_ecds_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdsDatasArray" source="trabalhadores_ecds" target="trabalhadores_ecds_datas" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_ecds_id"/>
	</db-relationship>
	<db-relationship name="toPrestadores" source="trabalhadores_ecds_datas" target="prestadores" toMany="false">
		<db-attribute-pair source="prestador_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresEcds" source="trabalhadores_ecds_datas" target="trabalhadores_ecds" toMany="false">
		<db-attribute-pair source="trabalhadores_ecds_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdArray" source="trabalhadores_ecds_datas" target="trabalhadores_ecd" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_ecds_datas_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdsDatasEmailsArray" source="trabalhadores_ecds_datas" target="trabalhadores_ecds_datas_emails" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_ecds_datas_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdsDatasObservacoesArray" source="trabalhadores_ecds_datas" target="trabalhadores_ecds_datas_observacoes" toMany="true">
		<db-attribute-pair source="id" target="trabalhadores_ecds_datas_id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresEcdsDatas" source="trabalhadores_ecds_datas_emails" target="trabalhadores_ecds_datas" toMany="false">
		<db-attribute-pair source="trabalhadores_ecds_datas_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresEcdsDatas" source="trabalhadores_ecds_datas_observacoes" target="trabalhadores_ecds_datas" toMany="false">
		<db-attribute-pair source="trabalhadores_ecds_datas_id" target="id"/>
	</db-relationship>
	<db-relationship name="toExames" source="trabalhadores_fichas_aptidao" target="exames" toMany="false">
		<db-attribute-pair source="exame_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadoresProcesso" source="trabalhadores_fichas_aptidao" target="trabalhadores_processo" toMany="false">
		<db-attribute-pair source="processo_id" target="id"/>
	</db-relationship>
	<db-relationship name="toTrabalhadores" source="trabalhadores_processo" target="trabalhadores" toMany="false">
		<db-attribute-pair source="trabalhador_id" target="id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresConsultasArray" source="trabalhadores_processo" target="trabalhadores_consultas" toMany="true">
		<db-attribute-pair source="id" target="processo_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresEcdsArray" source="trabalhadores_processo" target="trabalhadores_ecds" toMany="true">
		<db-attribute-pair source="id" target="processo_id"/>
	</db-relationship>
	<db-relationship name="trabalhadoresFichasAptidaoArray" source="trabalhadores_processo" target="trabalhadores_fichas_aptidao" toMany="true">
		<db-attribute-pair source="id" target="processo_id"/>
	</db-relationship>
	<obj-relationship name="toEmpresas" source="Avisos" target="Empresas" db-relationship-path="toEmpresas"/>
	<obj-relationship name="toEstabelecimentos" source="Avisos" target="Estabelecimentos" db-relationship-path="toEstabelecimentos"/>
	<obj-relationship name="empresasArray" source="Contactos" target="Empresas" db-relationship-path="empresasArray"/>
	<obj-relationship name="empresasArray1" source="Contactos" target="Empresas" db-relationship-path="empresasArray1"/>
	<obj-relationship name="prestadoresArray" source="Contactos" target="Prestadores" db-relationship-path="prestadoresArray"/>
	<obj-relationship name="trabalhadoresEcdArray" source="EcdOficial" target="TrabalhadoresEcd" db-relationship-path="trabalhadoresEcdArray"/>
	<obj-relationship name="avisosArray" source="Empresas" target="Avisos" db-relationship-path="avisosArray"/>
	<obj-relationship name="estabelecimentosArray" source="Empresas" target="Estabelecimentos" db-relationship-path="estabelecimentosArray"/>
	<obj-relationship name="lembretesArray" source="Empresas" target="Lembretes" db-relationship-path="lembretesArray"/>
	<obj-relationship name="marcacoesEmpresaArray" source="Empresas" target="MarcacoesEmpresa" db-relationship-path="marcacoesEmpresaArray"/>
	<obj-relationship name="prtElementosProtocoloArray" source="Empresas" target="PrtElementosProtocolo" db-relationship-path="prtElementosProtocoloArray"/>
	<obj-relationship name="toContactos" source="Empresas" target="Contactos" db-relationship-path="toContactos"/>
	<obj-relationship name="toContactos1" source="Empresas" target="Contactos" db-relationship-path="toContactos1"/>
	<obj-relationship name="avisosArray" source="Estabelecimentos" target="Avisos" db-relationship-path="avisosArray"/>
	<obj-relationship name="historicoEstabelecimentoArray" source="Estabelecimentos" target="HistoricoEstabelecimento" db-relationship-path="historicoEstabelecimentoArray"/>
	<obj-relationship name="lembretesArray" source="Estabelecimentos" target="Lembretes" db-relationship-path="lembretesArray"/>
	<obj-relationship name="marcacoesEstabelecimentoArray" source="Estabelecimentos" target="MarcacoesEstabelecimento" db-relationship-path="marcacoesEstabelecimentoArray"/>
	<obj-relationship name="toEmpresas" source="Estabelecimentos" target="Empresas" db-relationship-path="toEmpresas"/>
	<obj-relationship name="toMedicos" source="Estabelecimentos" target="Medicos" db-relationship-path="toMedicos"/>
	<obj-relationship name="trabalhadoresArray" source="Estabelecimentos" target="Trabalhadores" db-relationship-path="trabalhadoresArray"/>
	<obj-relationship name="toMedicos" source="Exames" target="Medicos" db-relationship-path="toMedicos"/>
	<obj-relationship name="trabalhadoresFichasAptidaoArray" source="Exames" target="TrabalhadoresFichasAptidao" db-relationship-path="trabalhadoresFichasAptidaoArray"/>
	<obj-relationship name="toTiposExamesComp" source="ExamesPerfis" target="TiposExamesComp" db-relationship-path="toTiposExamesComp"/>
	<obj-relationship name="toEstabelecimentos" source="HistoricoEstabelecimento" target="Estabelecimentos" db-relationship-path="toEstabelecimentos"/>
	<obj-relationship name="toEmpresas" source="Lembretes" target="Empresas" db-relationship-path="toEmpresas"/>
	<obj-relationship name="toEstabelecimentos" source="Lembretes" target="Estabelecimentos" db-relationship-path="toEstabelecimentos"/>
	<obj-relationship name="toLembretesTipos" source="Lembretes" target="LembretesTipos" db-relationship-path="toLembretesTipos"/>
	<obj-relationship name="toMarcacoesEstabelecimento" source="Lembretes" target="MarcacoesEstabelecimento" db-relationship-path="toMarcacoesEstabelecimento"/>
	<obj-relationship name="toMarcacoesTrabalhador" source="Lembretes" target="MarcacoesTrabalhador" db-relationship-path="toMarcacoesTrabalhador"/>
	<obj-relationship name="toTrabalhadores" source="Lembretes" target="Trabalhadores" db-relationship-path="toTrabalhadores"/>
	<obj-relationship name="lembretesArray" source="LembretesTipos" target="Lembretes" db-relationship-path="lembretesArray"/>
	<obj-relationship name="toEmpresas" source="MarcacoesEmpresa" target="Empresas" db-relationship-path="toEmpresas"/>
	<obj-relationship name="lembretesArray" source="MarcacoesEstabelecimento" target="Lembretes" db-relationship-path="lembretesArray"/>
	<obj-relationship name="toEstabelecimentos" source="MarcacoesEstabelecimento" target="Estabelecimentos" db-relationship-path="toEstabelecimentos"/>
	<obj-relationship name="toMarcacoesTecnicosHst" source="MarcacoesEstabelecimento" target="MarcacoesTecnicosHst" db-relationship-path="toMarcacoesTecnicosHst"/>
	<obj-relationship name="toMarcacoesTrabalhador" source="MarcacoesGruposRealizados" target="MarcacoesTrabalhador" db-relationship-path="toMarcacoesTrabalhador"/>
	<obj-relationship name="toMarcacoesTrabalhadorEstados" source="MarcacoesGruposRealizados" target="MarcacoesTrabalhadorEstados" db-relationship-path="toMarcacoesTrabalhadorEstados"/>
	<obj-relationship name="toPrtGruposProtocolo" source="MarcacoesGruposRealizados" target="PrtGruposProtocolo" db-relationship-path="toPrtGruposProtocolo"/>
	<obj-relationship name="marcacoesEstabelecimentoArray" source="MarcacoesTecnicosHst" target="MarcacoesEstabelecimento" db-relationship-path="marcacoesEstabelecimentoArray"/>
	<obj-relationship name="lembretesArray" source="MarcacoesTrabalhador" target="Lembretes" db-relationship-path="lembretesArray"/>
	<obj-relationship name="marcacoesGruposRealizadosArray" source="MarcacoesTrabalhador" target="MarcacoesGruposRealizados" db-relationship-path="marcacoesGruposRealizadosArray"/>
	<obj-relationship name="marcacoesTrabalhadorEstadosArray" source="MarcacoesTrabalhador" target="MarcacoesTrabalhadorEstados" db-relationship-path="marcacoesTrabalhadorEstadosArray"/>
	<obj-relationship name="toPrestadores" source="MarcacoesTrabalhador" target="Prestadores" db-relationship-path="toPrestadores"/>
	<obj-relationship name="marcacoesGruposRealizadosArray" source="MarcacoesTrabalhadorEstados" target="MarcacoesGruposRealizados" db-relationship-path="marcacoesGruposRealizadosArray"/>
	<obj-relationship name="toMarcacoesTrabalhador" source="MarcacoesTrabalhadorEstados" target="MarcacoesTrabalhador" db-relationship-path="toMarcacoesTrabalhador"/>
	<obj-relationship name="toPrestadores" source="MarcacoesTrabalhadorEstados" target="Prestadores" db-relationship-path="toPrestadores"/>
	<obj-relationship name="estabelecimentosArray" source="Medicos" target="Estabelecimentos" db-relationship-path="estabelecimentosArray"/>
	<obj-relationship name="examesArray" source="Medicos" target="Exames" db-relationship-path="examesArray"/>
	<obj-relationship name="marcacoesTrabalhadorArray" source="Prestadores" target="MarcacoesTrabalhador" db-relationship-path="marcacoesTrabalhadorArray"/>
	<obj-relationship name="marcacoesTrabalhadorEstadosArray" source="Prestadores" target="MarcacoesTrabalhadorEstados" db-relationship-path="marcacoesTrabalhadorEstadosArray"/>
	<obj-relationship name="prestadoresGruposProtocoloArray" source="Prestadores" target="PrestadoresGruposProtocolo" db-relationship-path="prestadoresGruposProtocoloArray"/>
	<obj-relationship name="toContactos" source="Prestadores" target="Contactos" db-relationship-path="toContactos"/>
	<obj-relationship name="trabalhadoresConsultasArray" source="Prestadores" target="TrabalhadoresConsultas" db-relationship-path="trabalhadoresConsultasArray"/>
	<obj-relationship name="trabalhadoresConsultasDatasArray" source="Prestadores" target="TrabalhadoresConsultasDatas" db-relationship-path="trabalhadoresConsultasDatasArray"/>
	<obj-relationship name="trabalhadoresEcdArray" source="Prestadores" target="TrabalhadoresEcd" db-relationship-path="trabalhadoresEcdArray"/>
	<obj-relationship name="trabalhadoresEcdsDatasArray" source="Prestadores" target="TrabalhadoresEcdsDatas" db-relationship-path="trabalhadoresEcdsDatasArray"/>
	<obj-relationship name="toPrestadores" source="PrestadoresGruposProtocolo" target="Prestadores" db-relationship-path="toPrestadores"/>
	<obj-relationship name="toPrtGruposProtocolo" source="PrestadoresGruposProtocolo" target="PrtGruposProtocolo" db-relationship-path="toPrtGruposProtocolo"/>
	<obj-relationship name="toEmpresas" source="PrtElementosProtocolo" target="Empresas" db-relationship-path="toEmpresas"/>
	<obj-relationship name="toPrtTiposElementosProtocolo" source="PrtElementosProtocolo" target="PrtTiposElementosProtocolo" db-relationship-path="toPrtTiposElementosProtocolo"/>
	<obj-relationship name="marcacoesGruposRealizadosArray" source="PrtGruposProtocolo" target="MarcacoesGruposRealizados" db-relationship-path="marcacoesGruposRealizadosArray"/>
	<obj-relationship name="prestadoresGruposProtocoloArray" source="PrtGruposProtocolo" target="PrestadoresGruposProtocolo" db-relationship-path="prestadoresGruposProtocoloArray"/>
	<obj-relationship name="prtTiposElementosProtocoloArray" source="PrtGruposProtocolo" target="PrtTiposElementosProtocolo" db-relationship-path="prtTiposElementosProtocoloArray"/>
	<obj-relationship name="prtElementosProtocoloArray" source="PrtTiposElementosProtocolo" target="PrtElementosProtocolo" db-relationship-path="prtElementosProtocoloArray"/>
	<obj-relationship name="toPrtGruposProtocolo" source="PrtTiposElementosProtocolo" target="PrtGruposProtocolo" db-relationship-path="toPrtGruposProtocolo"/>
	<obj-relationship name="trabalhadoresEcdArray" source="PrtTiposElementosProtocolo" target="TrabalhadoresEcd" db-relationship-path="trabalhadoresEcdArray"/>
	<obj-relationship name="examesPerfisArray" source="TiposExamesComp" target="ExamesPerfis" db-relationship-path="examesPerfisArray"/>
	<obj-relationship name="lembretesArray" source="Trabalhadores" target="Lembretes" db-relationship-path="lembretesArray"/>
	<obj-relationship name="toEstabelecimentos" source="Trabalhadores" target="Estabelecimentos" db-relationship-path="toEstabelecimentos"/>
	<obj-relationship name="trabalhadoresConsultasArray" source="Trabalhadores" target="TrabalhadoresConsultas" db-relationship-path="trabalhadoresConsultasArray"/>
	<obj-relationship name="trabalhadoresEcdsArray" source="Trabalhadores" target="TrabalhadoresEcds" db-relationship-path="trabalhadoresEcdsArray"/>
	<obj-relationship name="trabalhadoresProcessoArray" source="Trabalhadores" target="TrabalhadoresProcesso" db-relationship-path="trabalhadoresProcessoArray"/>
	<obj-relationship name="toPrestadores" source="TrabalhadoresConsultas" target="Prestadores" db-relationship-path="toPrestadores"/>
	<obj-relationship name="toTrabalhadores" source="TrabalhadoresConsultas" target="Trabalhadores" db-relationship-path="toTrabalhadores"/>
	<obj-relationship name="toTrabalhadoresProcesso" source="TrabalhadoresConsultas" target="TrabalhadoresProcesso" db-relationship-path="toTrabalhadoresProcesso"/>
	<obj-relationship name="trabalhadoresConsultasDatasArray" source="TrabalhadoresConsultas" target="TrabalhadoresConsultasDatas" db-relationship-path="trabalhadoresConsultasDatasArray"/>
	<obj-relationship name="toPrestadores" source="TrabalhadoresConsultasDatas" target="Prestadores" db-relationship-path="toPrestadores"/>
	<obj-relationship name="toTrabalhadoresConsultas" source="TrabalhadoresConsultasDatas" target="TrabalhadoresConsultas" db-relationship-path="toTrabalhadoresConsultas"/>
	<obj-relationship name="trabalhadoresConsultasDatasEmailsArray" source="TrabalhadoresConsultasDatas" target="TrabalhadoresConsultasDatasEmails" db-relationship-path="trabalhadoresConsultasDatasEmailsArray"/>
	<obj-relationship name="trabalhadoresConsultasDatasObservacoesArray" source="TrabalhadoresConsultasDatas" target="TrabalhadoresConsultasDatasObservacoes" db-relationship-path="trabalhadoresConsultasDatasObservacoesArray"/>
	<obj-relationship name="toTrabalhadoresConsultasDatas" source="TrabalhadoresConsultasDatasEmails" target="TrabalhadoresConsultasDatas" db-relationship-path="toTrabalhadoresConsultasDatas"/>
	<obj-relationship name="toTrabalhadoresConsultasDatas" source="TrabalhadoresConsultasDatasObservacoes" target="TrabalhadoresConsultasDatas" db-relationship-path="toTrabalhadoresConsultasDatas"/>
	<obj-relationship name="toEcdOficial" source="TrabalhadoresEcd" target="EcdOficial" db-relationship-path="toEcdOficial"/>
	<obj-relationship name="toPrestadores" source="TrabalhadoresEcd" target="Prestadores" db-relationship-path="toPrestadores"/>
	<obj-relationship name="toPrtTiposElementosProtocolo" source="TrabalhadoresEcd" target="PrtTiposElementosProtocolo" db-relationship-path="toPrtTiposElementosProtocolo"/>
	<obj-relationship name="toTrabalhadoresEcds" source="TrabalhadoresEcd" target="TrabalhadoresEcds" db-relationship-path="toTrabalhadoresEcds"/>
	<obj-relationship name="toTrabalhadoresEcdsDatas" source="TrabalhadoresEcd" target="TrabalhadoresEcdsDatas" db-relationship-path="toTrabalhadoresEcdsDatas"/>
	<obj-relationship name="toTrabalhadores" source="TrabalhadoresEcds" target="Trabalhadores" db-relationship-path="toTrabalhadores"/>
	<obj-relationship name="toTrabalhadoresProcesso" source="TrabalhadoresEcds" target="TrabalhadoresProcesso" db-relationship-path="toTrabalhadoresProcesso"/>
	<obj-relationship name="trabalhadoresEcdArray" source="TrabalhadoresEcds" target="TrabalhadoresEcd" db-relationship-path="trabalhadoresEcdArray"/>
	<obj-relationship name="trabalhadoresEcdsDatasArray" source="TrabalhadoresEcds" target="TrabalhadoresEcdsDatas" db-relationship-path="trabalhadoresEcdsDatasArray"/>
	<obj-relationship name="toPrestadores" source="TrabalhadoresEcdsDatas" target="Prestadores" db-relationship-path="toPrestadores"/>
	<obj-relationship name="toTrabalhadoresEcds" source="TrabalhadoresEcdsDatas" target="TrabalhadoresEcds" db-relationship-path="toTrabalhadoresEcds"/>
	<obj-relationship name="trabalhadoresEcdArray" source="TrabalhadoresEcdsDatas" target="TrabalhadoresEcd" db-relationship-path="trabalhadoresEcdArray"/>
	<obj-relationship name="trabalhadoresEcdsDatasEmailsArray" source="TrabalhadoresEcdsDatas" target="TrabalhadoresEcdsDatasEmails" db-relationship-path="trabalhadoresEcdsDatasEmailsArray"/>
	<obj-relationship name="trabalhadoresEcdsDatasObservacoesArray" source="TrabalhadoresEcdsDatas" target="TrabalhadoresEcdsDatasObservacoes" db-relationship-path="trabalhadoresEcdsDatasObservacoesArray"/>
	<obj-relationship name="toTrabalhadoresEcdsDatas" source="TrabalhadoresEcdsDatasEmails" target="TrabalhadoresEcdsDatas" db-relationship-path="toTrabalhadoresEcdsDatas"/>
	<obj-relationship name="toTrabalhadoresEcdsDatas" source="TrabalhadoresEcdsDatasObservacoes" target="TrabalhadoresEcdsDatas" db-relationship-path="toTrabalhadoresEcdsDatas"/>
	<obj-relationship name="toExames" source="TrabalhadoresFichasAptidao" target="Exames" db-relationship-path="toExames"/>
	<obj-relationship name="toTrabalhadoresProcesso" source="TrabalhadoresFichasAptidao" target="TrabalhadoresProcesso" db-relationship-path="toTrabalhadoresProcesso"/>
	<obj-relationship name="toTrabalhadores" source="TrabalhadoresProcesso" target="Trabalhadores" db-relationship-path="toTrabalhadores"/>
	<obj-relationship name="trabalhadoresConsultasArray" source="TrabalhadoresProcesso" target="TrabalhadoresConsultas" db-relationship-path="trabalhadoresConsultasArray"/>
	<obj-relationship name="trabalhadoresEcdsArray" source="TrabalhadoresProcesso" target="TrabalhadoresEcds" db-relationship-path="trabalhadoresEcdsArray"/>
	<obj-relationship name="trabalhadoresFichasAptidaoArray" source="TrabalhadoresProcesso" target="TrabalhadoresFichasAptidao" db-relationship-path="trabalhadoresFichasAptidaoArray"/>
</data-map>
